#!/bin/env python
import sys,codecs,re,string

def usage():
    print("Crude 'language-versions' of learning objectives material...")
    print("This will read a plaintext (or ReST or whatever) file and")
    print("'cut-paste' sections matching en:(.*):ne into OUTNAME_en.")
    print("The text that remains uncut goes to OUTNAME_fi")
    print("")
    print(sys.argv[0] + " ORIGINAL OUTNAME_fi OUTNAME_en")

if len(sys.argv) < 4:
    usage()
    exit(1)

with codecs.open(sys.argv[1], "r", "utf-8") as f:
    txtall = f.read()

r = re.compile(r"\Wen:(.*?):ne", re.MULTILINE | re.DOTALL)
txten = "\n\n".join(r.findall(txtall));
txtfi = r.sub('',txtall)

with open(sys.argv[2], "w") as f:
#    f.write(txtfi)
    f.write(txtfi.encode('utf8'))

with open(sys.argv[3], "w") as f:
    f.write(txten)
